/*
 *  @file   OsalDelay.c
 *
 *  @brief      Introduced to abstract kernel provided delay functions and
 *              memory barriers
 *
 *
 *  ============================================================================
 *
 *  Copyright (C) {2008-2011} Texas Instruments, Incorporated
 *
 *  This program is free software; you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License as published by the
 *  Free Software Foundation version 2.
 *  
 *  This program is distributed "as is" WITHOUT ANY WARRANTY of any kind,
 *  whether express or implied; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  General Public License for more details
 *  
 *  Contact information for paper mail:
 *  Texas Instruments
 *  Post Office Box 655303
 *  Dallas, Texas 75265
 *  Contact information: 
 *  http://www-k.ext.ti.com/sc/technical-support/product-information-centers.htm?
 *  DCMP=TIHomeTracking&HQS=Other+OT+home_d_contact
 *  ============================================================================
 *  
 */


/* Standard Headers */
#include <ti/syslink/Std.h>
#include <OsalDelay.h>

/* Linux specific header files */
#include <asm/delay.h>

#if defined (__cplusplus)
extern "C" {
#endif



/*!
 *  @brief   Adds udelay in term of microseconds
 *
 *  @param   arg delay
 */
Void
OsalDelay_udelay (UInt32 delay)
{
    udelay(delay);
}


#if defined (__cplusplus)
}
#endif /* defined (__cplusplus) */
